# Uses of Class
org.apache.lucene.benchmark.byTask.feeds.ContentSource

Packages that use ContentSource
Package
Description
org.apache.lucene.benchmark.byTask
Benchmarking Lucene By Tasks
org.apache.lucene.benchmark.byTask.feeds
Sources for benchmark inputs: documents and queries.

- ## Uses of ContentSource in org.apache.lucene.benchmark.byTask

  Methods in org.apache.lucene.benchmark.byTask that return ContentSource
  Modifier and Type
  Method
  Description
  `ContentSource`
  PerfRunData.`getContentSource()`
  Returns the ContentSource.

- ## Uses of ContentSource in org.apache.lucene.benchmark.byTask.feeds

  Subclasses of ContentSource in org.apache.lucene.benchmark.byTask.feeds
  Modifier and Type
  Class
  Description
  `class`
  `DirContentSource`
  A `ContentSource` using the Dir collection for its input.
  `class`
  `EnwikiContentSource`
  A `ContentSource` which reads the English Wikipedia dump.
  `class`
  `LineDocSource`
  A `ContentSource` reading one line at a time as a `Document` from a single file.
  `class`
  `LongToEnglishContentSource`
  Creates documents whose content is a `long` number starting from ``Long.MIN_VALUE` + 10`.
  `class`
  `ReutersContentSource`
  A `ContentSource` reading from the Reuters collection.
  `class`
  `SingleDocSource`
  Creates the same document each time `SingleDocSource.getNextDocData(DocData)` is called.
  `class`
  `SortableSingleDocSource`
  Adds fields appropriate for sorting: country, random_string and sort_field (int).
  `class`
  `TrecContentSource`
  Implements a `ContentSource` over the TREC collection.
  Fields in org.apache.lucene.benchmark.byTask.feeds declared as ContentSource
  Modifier and Type
  Field
  Description
  `protected ContentSource`
  DocMaker.`source`
  Methods in org.apache.lucene.benchmark.byTask.feeds with parameters of type ContentSource
  Modifier and Type
  Method
  Description
  `void`
  DocMaker.`setConfig(Config config, ContentSource source)`
  Set the configuration parameters of this doc maker.
  `void`
  SpatialDocMaker.`setConfig(Config config, ContentSource source)`